import 'package:jt_flutter_cli/core/const/command_const.dart';

class ValidatorUtil {
  static bool isCommandValid({required List<String> arguments}) =>
      arguments.isNotEmpty &&
      (arguments[0].toLowerCase() == kCreate ||
          arguments[0].toLowerCase() == kAdd) &&
      (arguments[1].toLowerCase() == kFeatureCommand ||
          arguments[1].toLowerCase() == kWidget ||
          arguments[1].toLowerCase() == kModel ||
          arguments[1] == kGetApiCall ||
          arguments[1] == kPostApiCall ||
          arguments[1] == kMultipartApiCall ||
          arguments[1] == kAssets);
}
